Skip to main content
GET
/
event-details
Get Event Details
curl --request GET \
  --url https://tokens.shakesco.com/event-details \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://tokens.shakesco.com/event-details"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://tokens.shakesco.com/event-details', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "allocation": "5.0",
  "should_not_claim_twice": true
}
For the complete documentation index, see llms.txt. Returns the configuration of a single event by name. Returns 0 allocation if the event doesn’t exist.

Query Parameters

event_name
string
required
Lowercase event identifier (e.g. "signup")

Response

allocation
string
Tokens awarded per claim
should_not_claim_twice
boolean
true if customers can only claim this event once
const res = await fetch(
  "https://tokens.shakesco.com/event-details?event_name=signup",
  { headers: { Authorization: `Bearer ${API_KEY}` } }
);
const { allocation, should_not_claim_twice } = await res.json();
{
  "allocation": "5.0",
  "should_not_claim_twice": true
}